### Signal

# FwupdPlugin Device::child-added

since: 1.0.8

#### Declaration

    void
    child_added (
      FuDevice* self,
      FuDevice* device,
      gpointer user_data
    )

#### Description [src]

The ::child-added signal is emitted when a device has been added as a child.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.0.8

#### Parameters

`device`

  Type: `FuDevice`

  The `FuDevice` child.

  The data is owned by the caller of the function.